'use strict'
Object.defineProperty(exports, '__esModule', { value: true })
const lib_1 = require('service-utils/lib')
const getContext_1 = require('../getContext')
const driverAdmin = require('./internal/DriversAdminNotes')
const rentalAdmin = require('./internal/RentalsAdminNotes')
const driverClaims = require('./internal/DriverClaims')
const carClaims = require('./internal/CarClaims')
const ownerClaims = require('./internal/OwnerClaims')
const ownerAdmin = require('./internal/OwnersAdminNotes')
const bgcAdmin = require('./internal/BGCAdminNotes')
const carsAdmin = require('./internal/CarsAdminNotes')
const adminUser = require('./internal/AdminUser')
const usersRentals = require('./UsersRentals')
const usersPayments = require('./UsersPayments')
const usersCars = require('./UsersCars')
const usersFiles = require('./UsersFiles')
const insurancesFiles = require('./InsurancesFiles')
const rentalsCars = require('./RentalsCars')
const rentalsFiles = require('./RentalsFiles')
const carsRatings = require('./CarsRatings')
const carsFiles = require('./CarsFiles')
const rentalsRatings = require('./RentalsRatings')
const driversRatings = require('./DriversRatings')
const claimsRentals = require('./internal/ClaimsRentals')
const rentalsPayments = require('./RentalsPayments')
const rentalsInsurances = require('./RentalsInsurances')
const geoStates = require('./geoState')
const getCarPriceBreakdown = require('./getCarPriceBreakdown')
const offers = require('./Offers')
const rentalOverview = require('./RentalOverview')
const rentalContracts = require('./RentalContracts')
const insuranceClaim = require('./internal/InsuranceClaim')
const claimFnol = require('./ClaimFNOL')
const userClaimSubmittedBy = require('./internal/UserClaimSubmittedBy')
const mutations_1 = require('./mutations')
const Base_1 = require('./Base')
const schemas = [
  Base_1.baseSchema,
  getContext_1.context.users.schema,
  getContext_1.context.rentals.schema,
  getContext_1.context.cars.schema,
  getContext_1.context.payments.schema,
  getContext_1.context.files.schema,
  getContext_1.context.admin.schema,
  getContext_1.context.ratings.schema,
  getContext_1.context.insurance.schema,
  getContext_1.context.notifications.schema,
]
const mergedSchema = new lib_1.MergeSchemaHelper()
schemas.forEach(schema => {
  mergedSchema.addSchema(schema)
})
mergedSchema.addSchema(driverClaims.linkTypeDefs)
mergedSchema.addResolver(driverClaims.resolvers)
mergedSchema.addSchema(ownerClaims.linkTypeDefs)
mergedSchema.addResolver(ownerClaims.resolvers)
mergedSchema.addSchema(carClaims.linkTypeDefs)
mergedSchema.addResolver(carClaims.resolvers)
mergedSchema.addSchema(userClaimSubmittedBy.linkTypeDefs)
mergedSchema.addResolver(userClaimSubmittedBy.resolvers)
mergedSchema.addSchema(driverAdmin.linkTypeDefs)
mergedSchema.addResolver(driverAdmin.resolvers)
mergedSchema.addSchema(rentalAdmin.linkTypeDefs)
mergedSchema.addResolver(rentalAdmin.resolvers)
mergedSchema.addSchema(claimFnol.linkTypeDefs)
mergedSchema.addResolver(claimFnol.resolvers)
mergedSchema.addSchema(ownerAdmin.linkTypeDefs)
mergedSchema.addResolver(ownerAdmin.resolvers)
mergedSchema.addSchema(bgcAdmin.linkTypeDefs)
mergedSchema.addResolver(bgcAdmin.resolvers)
mergedSchema.addSchema(carsAdmin.linkTypeDefs)
mergedSchema.addResolver(carsAdmin.resolvers)
mergedSchema.addSchema(adminUser.linkTypeDefs)
mergedSchema.addResolver(adminUser.resolvers)
mergedSchema.addSchema(usersCars.linkTypeDefs)
mergedSchema.addResolver(usersCars.resolvers)
mergedSchema.addSchema(usersRentals.linkTypeDefs)
mergedSchema.addResolver(usersRentals.resolvers)
mergedSchema.addSchema(usersPayments.linkTypeDefs)
mergedSchema.addResolver(usersPayments.resolvers)
mergedSchema.addSchema(usersFiles.linkTypeDefs)
mergedSchema.addResolver(usersFiles.resolvers)
mergedSchema.addSchema(rentalsCars.linkTypeDefs)
mergedSchema.addResolver(rentalsCars.resolvers)
mergedSchema.addSchema(rentalsFiles.linkTypeDefs)
mergedSchema.addResolver(rentalsFiles.resolvers)
mergedSchema.addSchema(carsRatings.linkTypeDefs)
mergedSchema.addResolver(carsRatings.resolvers)
mergedSchema.addSchema(carsFiles.linkTypeDefs)
mergedSchema.addResolver(carsFiles.resolvers)
mergedSchema.addSchema(rentalsRatings.linkTypeDefs)
mergedSchema.addResolver(rentalsRatings.resolvers)
mergedSchema.addSchema(driversRatings.linkTypeDefs)
mergedSchema.addResolver(driversRatings.resolvers)
mergedSchema.addSchema(claimsRentals.linkTypeDefs)
mergedSchema.addResolver(claimsRentals.resolvers)
mergedSchema.addSchema(rentalsPayments.linkTypeDefs)
mergedSchema.addResolver(rentalsPayments.resolvers)
mergedSchema.addSchema(rentalsInsurances.linkTypeDefs)
mergedSchema.addResolver(rentalsInsurances.resolvers)
mergedSchema.addSchemas(mutations_1.default.schemas)
mergedSchema.addResolvers(mutations_1.default.resolvers)
mergedSchema.addSchema(geoStates.linkTypeDefs)
mergedSchema.addResolver(geoStates.resolvers)
mergedSchema.addSchema(getCarPriceBreakdown.linkTypeDefs)
mergedSchema.addResolver(getCarPriceBreakdown.resolvers)
mergedSchema.addSchema(offers.linkTypeDefs)
mergedSchema.addResolver(offers.resolvers)
mergedSchema.addSchema(insurancesFiles.linkTypeDefs)
mergedSchema.addResolver(insurancesFiles.resolvers)
mergedSchema.addSchema(rentalOverview.linkTypeDefs)
mergedSchema.addResolver(rentalOverview.resolvers)
mergedSchema.addSchema(rentalContracts.linkTypeDefs)
mergedSchema.addResolver(rentalContracts.resolvers)
mergedSchema.addSchema(insuranceClaim.linkTypeDefs)
mergedSchema.addResolver(insuranceClaim.resolvers)
exports.default = mergedSchema
